CREATE TABLE episodes (
    id          INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    title       VARCHAR(255) NOT NULL,
    link        VARCHAR(255) NOT NULL,
    duration    VARCHAR(127) NOT NULL COMMENT "HH:MM:SS representation",
    length      INT(11) UNSIGNED NOT NULL COMMENT "Length in seconds",
    description TEXT NOT NULL,

    explicit BOOLEAN NOT NULL DEFAULT true,

    channel_id  INT(11) UNSIGNED NOT NULL,
    image_id    INT(11) UNSIGNED NOT NULL,

    created_at DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP, 

    PRIMARY KEY(`id`),
    FOREIGN KEY(`channel_id`) REFERENCES channels(`id`),
    FOREIGN KEY(`image_id`) REFERENCES images(`id`)
);
